## org.gnu.gdk
Class Rectangle

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Rectangle

public class Rectangle
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Rectangle(Handle handle)`

Method Summary
`protected void` `finalize()`
`protected static void` `free(Handle obj)`
`protected static boolean` `gdk_rectangle_intersect(Handle src1, Handle src2, Handle dest)`
`protected static void` `gdk_rectangle_union(Handle src1, Handle src2, Handle dest)`
`int` `getHeight()` Retrieve the height of the Rectangle.
`protected static int` `getHeight(Handle obj)`
`int` `getWidth()` Retrieve the width of the Rectangle.
`protected static int` `getWidth(Handle obj)`
`int` `getX()` Retrieve the x coordinate for the Rectangle.
`protected static int` `getX(Handle obj)`
`int` `getY()` Retrieve the y coordinate for the Rectangle.
`protected static int` `getY(Handle obj)`
`Rectangle` `intersect(Rectangle rect)` Returns the intersection of this Rectangle and the provided Rectangle or null if there is no intersection.
`protected void` `setHeight(Handle obj, int height)`
`void` `setHeight(int heigth)` Set the height of the Rectangle.
`protected void` `setWidth(Handle obj, int width)`
`void` `setWidth(int width)` Set the width of the Rectangle.
`protected void` `setX(Handle obj, int x)`
`void` `setX(int x)` Set the x coordinate for the Rectangle.
`protected void` `setY(Handle obj, int y)`
`void` `setY(int y)` Set the y coordinate for the Rectangle.
`Rectangle` `union(Rectangle rect)` Returns the union of this Rectangle and the provided Rectangle or null if there is no union.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rectangle

    public Rectangle(Handle handle)

Method Detail

### getX

    public int getX()

  Retrieve the x coordinate for the Rectangle.

### setX

    public void setX(int x)

  Set the x coordinate for the Rectangle.

  Parameters:
    `x` -

### getY

    public int getY()

  Retrieve the y coordinate for the Rectangle.

### setY

    public void setY(int y)

  Set the y coordinate for the Rectangle.

  Parameters:
    `y` -

### getWidth

    public int getWidth()

  Retrieve the width of the Rectangle.

### setWidth

    public void setWidth(int width)

  Set the width of the Rectangle.

  Parameters:
    `width` -

### getHeight

    public int getHeight()

  Retrieve the height of the Rectangle.

### setHeight

    public void setHeight(int heigth)

  Set the height of the Rectangle.

  Parameters:
    `heigth` -

### intersect

    public Rectangle intersect(Rectangle rect)

  Returns the intersection of this Rectangle and the provided Rectangle or null if there is no intersection.

  Parameters:
    `rect` -

### union

    public Rectangle union(Rectangle rect)

  Returns the union of this Rectangle and the provided Rectangle or null if there is no union.

  Parameters:
    `rect` -

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getX

    protected static final int getX(Handle obj)

### setX

    protected final void setX(Handle obj,
                              int x)

### getY

    protected static final int getY(Handle obj)

### setY

    protected final void setY(Handle obj,
                              int y)

### getWidth

    protected static final int getWidth(Handle obj)

### setWidth

    protected final void setWidth(Handle obj,
                                  int width)

### getHeight

    protected static final int getHeight(Handle obj)

### setHeight

    protected final void setHeight(Handle obj,
                                   int height)

### gdk_rectangle_intersect

    protected static final boolean gdk_rectangle_intersect(Handle src1,
                                                           Handle src2,
                                                           Handle dest)

### gdk_rectangle_union

    protected static final void gdk_rectangle_union(Handle src1,
                                                    Handle src2,
                                                    Handle dest)

### free

    protected static final void free(Handle obj)